## NAME

r.in.ppm - Converts a PPM image file to a GRASS raster file.
(GRASS Raster Data Import Program)

## SYNOPSIS

r.in.ppm [-vfbc] input=name output=name

## DESCRIPTION

This program converts a PPM raster file to a GRASS raster file.

## OPTIONS

### Flags:

-v
  Verbose mode.
-f
  Create floating-point maps (range 0.0 - 1.0). Not applicable to composite maps created by the -c flag.
-b
  Create 3 separate raster maps of the red/green/blue levels
-c
  Create a composite color map

### Parameters:

input=name
  Name of an existing PPM raster file to be imported.
output=name
  Name to be assigned to resultant raster map layer(s).

## NOTES

R/G/B levels: each output raster map layer is given a linear gray scale color table. Each output raster map layer is assigned the user-specified output name with (.r, .g, .b) suffix.

The user should adjust boundary coordinates stored in the cell header after import using r.support or r.region.

Composite color maps are generated by generating the separate red, green and blue maps, then invoking r.composite to generate the composite map. Unless the -b flag was used, the red, green and blue maps will then be deleted.

Greate control may be exercised over the creation of composite color maps by invoking r.composite manually.

## SEE ALSO

r.in.pbm
r.in.pbm
r.composite
r.support
r.region
parser

## AUTHOR

Glynn Clements

Last changed: $Date: 2002/04/14 06:55:19 $